icon-toontrack-20tt-20-symbolicon-aiicon-arrangementsicon-arrow-left-1icon-arrow-left-2icon-arrow-left-3icon-arrow-right-1icon-arrow-right-2icon-arrow-right-3icon-automationicon-bleedicon-bounceicon-brushesicon-brushes2icon-campaign-pageicon-circlesClosedicon-cloudCommentsicon-cross-invicon-crossicon-cymbalicon-dislike-1icon-dislike-2Unread topicicon-downloaddrumsicon-drag-dropicon-drumkiticon-drums2icon-drumsticksicon-edrumsicon-electronicTopicicon-envelopeicon-fadersicon-faqForumForumTopic replyicon-futurehiticon-galaxyicon-grid-editoricon-headphonesicon-hihaticon-hot-topicicon-importsamplesicon-information-invicon-informationicon-joystickicon-kickicon-like-1icon-like-2Locked topicicon-macrosicon-massenburgAccountCartSearchicon-microphoneicon-midi-exporticon-midi-searchicon-midi-trackericon-midi-tracksicon-midiicon-mix-channelsicon-mixericon-news-inspirationicon-one-noteicon-percussionicon-percussion2Sticky topicicon-play-1-invicon-play-1icon-play-2-invicon-play-2icon-play-3icon-plus-invicon-plusicon-presetsPrivate topicicon-rawicon-reverseanythingicon-samplesicon-save-drumicon-seamlessicon-settingsicon-shapesicon-snareicon-song-tracksicon-ssdicon-stackicon-tap2findicon-tempoicon-third-partyicon-three-notesicon-tomTopic with best answericon-two-notesicon-usericon-videoicon-workflow

MacOS X 10.15, Catalina

Product Manager
Viewing 9 replies - 46 through 54 (of 54 total)
  • Elmer LaanElmer Laan
    Participant

    Hi Olof,

    Thanks for the updates, install worked fine. Question: The install number version doesn’t appear to have changed in the app and with some packs there are updates that need to be installed (for example, Claustrophobic EZX). Have these updates been included in the installer or do I need to install these updates separately still?

    Cheers!


    Operating system: macOS Catalina (10.15)
    OlofOlof
    Moderator

    Hi Olof,

    Thanks for the updates, install worked fine. Question: The install number version doesn’t appear to have changed in the app and with some packs there are updates that need to be installed (for example, Claustrophobic EZX). Have these updates been included in the installer or do I need to install these updates separately still?

    Cheers!

    Operating system: macOS Catalina (10.15)

    I don’t quite understand what you mean but just click the red download and install buttons in Product Manager in order to get all products installed and up-to-date.

    Olof Hermansson - Toontrack
    Coder

    Exarcheia
    Participant

    Olof,

    First off, thanks for doing a hell of  job moderating the forum!
    Quick questions.Are all Applications and Add-ons now supported on 10.15 Catalina?
    A friend of mine introduced me to Logic X and toontracks, and I bought logic. As of right now I’m more hesitant to buy EZMIX and EZDrummer with a few add-ons in fear that they won’t be compatible with Catalina.

    Thanks again for holding down the moderating fort.


    Operating system: macOS Catalina (10.15)
    • This post was modified 7 months, 1 week ago by Exarcheia.
    OlofOlof
    Moderator

    Olof,

    First off, thanks for doing a hell of  job moderating the forum!
    Quick questions.Are all Applications and Add-ons now supported on 10.15 Catalina?
    A friend of mine introduced me to Logic X and toontracks, and I bought logic. As of right now I’m more hesitant to buy EZMIX and EZDrummer with a few add-ons in fear that they won’t be compatible with Catalina.

    Thanks again for holding down the moderating fort.

    Operating system: macOS Catalina (10.15)

    • This post was modified 7 months, 1 week ago by Exarcheia.

    Hi,

    Yes, all products that are being sold at the moment are compatible with Catalina. A few deprecated products like Drumtracker, Beatstation and EZmix 1 are not.

    EZmix 2 and EZdrummer 2 are fully compatible and supported, as well as all their extensions (EZmix packs, EZXs and MIDI packs). Just use the Product Manager to install them, as the download packages from the website may still contain old incompatible installers.

    Olof Hermansson - Toontrack
    Coder

    Dave Longenecker
    Participant

    Hello Toontrack people,

    Since my computer died, I bought a new Mac mini which came with Catalina.  I downloaded Superior Drummer 2 and then downloaded EZdrummer 2 and got this popup message:

    “Superior Drummer found!      The version of Superior Drummer installed is not compatible with EZdrummer 2 – make sure that you update Superior Drummer to the latest version as soon as possible.”

    I see that there is an “Install Updates” for Superior Drummer 2 in the Product Manager, but the only update that is available is “For Mac OS X10.6 to 10.15 only”, but Catalina is version 10.15.

    How am I to update Superior Drummer to the “latest version”?  I just downloaded it a day or two ago, so I thought it would be the latest version.

    Thanks for your help, and thanks for all these amazing drums, presets and MIDI files of fantastic drummers – I am very impressed!

     

    Thank you!

     

    Dave Longenecker


    Operating system: macOS Catalina (10.15)
    OlofOlof
    Moderator

    Install version 2.4.4.

    Olof Hermansson - Toontrack
    Coder

    1

    Thanked by: Dave Longenecker
    Jamie McGowan
    Participant

    Hi, I have tried to get Ezmix 2 to work with my MacBook Pro (running Catalina). I can’t seem to get it working with Logic Pro X.

    I have installed product manager, installed Ezmix 2 as it shows up as a standalone application. It just doesn’t seem to want to show up in logic under Audio FX inserts.

    I have tried to look through plug in manager but it doesn’t show up.

    If anyone could help it would be greatly appreciated .


    Operating system: macOS Catalina (10.15)
    runiondd
    Participant

    I can’t upgrade Product Manager nor install the EX packs I just bought b/c it says the developer hasn’t updated Toontrack software to work on my OS.  I’m running Catalina 10.15.5  Please help.


    Operating system: macOS Catalina (10.15)
    OlofOlof
    Moderator

    I can’t upgrade Product Manager nor install the EX packs I just bought b/c it says the developer hasn’t updated Toontrack software to work on my OS.  I’m running Catalina 10.15.5  Please help.

    Operating system: macOS Catalina (10.15)

    Download a new version of PM here: https://www.toontrack.com/product-manager/

    Olof Hermansson - Toontrack
    Coder

Viewing 9 replies - 46 through 54 (of 54 total)
×